
# TODO:
#	- rgw support

Summary:	Deploy Ceph with minimal infrastructure
Name:		ceph-deploy
Version:	1.5.23
Release:	2
License:	MIT
Group:		Applications/System
Source0:	https://github.com/ceph/ceph-deploy/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	9b92bb38adfbab41d3feff24291428ca
#Source0:	https://pypi.python.org/packages/source/c/ceph-deploy/%{name}-%{version}.tar.gz
# https://github.com/jajcus/ceph-deploy/tree/pld
Patch0:		%{name}-pld.patch
URL:		https://github.com/ceph/ceph-deploy
BuildRequires:	python-setuptools >= 7.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python-remoto
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ceph-deploy is a way to deploy Ceph relying on just SSH access to the
servers, sudo, and some Python. It runs fully on your workstation,
requiring no servers, databases, or anything like that.

If you set up and tear down Ceph clusters a lot, and want minimal
extra bureaucracy, this is for you.

%prep
%setup -q
%patch0 -p1

%build
export CEPH_DEPLOY_NO_VENDOR=1
%py_build

%install
rm -rf $RPM_BUILD_ROOT

export CEPH_DEPLOY_NO_VENDOR=1
%py_install

# no %%py_postclean !
# ceph-deploy uses remoto/execnet to run its source code remotely

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%attr(755,root,root) %{_bindir}/ceph-deploy
%{py_sitescriptdir}/ceph_deploy
%{py_sitescriptdir}/ceph_deploy-%{version}-py*.egg-info
%changelog
* Tue Mar 02 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ceph-deploy.git;a=log;h=master

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> 1fbbfb4
- release 2 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 847cb43
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8e694aa
- automatic change: use py_build/py_install macros

* Fri May 15 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 8b2d492
- Release: 1

* Wed May 13 2015 Elan Ruusamäe <glen@delfi.ee> 62c20db
- adapter

* Wed May 13 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 87f5bea
- new package

